package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("EM_SBJBB")
@ApiModel(value="EmSbjbb对象", description="")
@Entity
public class EmSbjbb implements Serializable {

    private static final long serialVersionUID=1L;


    @TableField("YLZD2")
    private String ylzd2;

    @ApiModelProperty(name = "szcs", notes = "所属部门")
    @TableField("SZCS")
    private String szcs;

    @Id
    @ApiModelProperty(name = "sbbh", notes = "设备编号")
    @TableId(value = "SBBH", type = IdType.ASSIGN_UUID)
    private String sbbh;

    @TableField("SBCZ")
    @ApiModelProperty(name = "sbcz", notes = "设备残值")
    private Double sbcz;

    @TableField("HTXH")
    private Double htxh;

    @TableField("SBGG")
    @ApiModelProperty(name = "sbgg", notes = "设备规格")
    private String sbgg;

    @ApiModelProperty(name = "jyxx", notes = "检验信息")
    private String jyxx;

    @TableField("KXRQ")
    private String kxrq;

    @TableField("AZKSRQ")
    private String azksrq;

    @TableField("TSJSRQ")
    private String tsjsrq;

    @TableField("YXJY")
    private String yxjy;

    @TableField("SBKGNL")
    @ApiModelProperty(name = "sbkgnl", notes = "设备能力")
    private Double sbkgnl;

    @TableField("EDSYSJDW")
    @ApiModelProperty(name = "edsysjdw", notes = "额定使用时间单位")
    private String edsysjdw;

    @TableField("SBYSZT")
    private String sbyszt;

    @TableField("SBJG")
    @ApiModelProperty(name = "sbjg", notes = "设备原值")
    private Double sbjg;

    @TableField("CD")
    @ApiModelProperty(name = "cd", notes = "产地")
    private String cd;

    @TableField("ZDRY")
    @ApiModelProperty(name = "zdry", notes = "制单人")
    private String zdry;

    @TableField("AZBJ")
    private String azbj;

    @TableField("JSR")
    private String jsr;

    @TableField("EDDXCS")
    private String eddxcs;

    @TableField("SBZL")
    @ApiModelProperty(name = "sbzl", notes = "设备中类")
    private String sbzl;

    @TableField("GDZCBH")
    @ApiModelProperty(name = "gdzcbh", notes = "固定资产编号")
    private String gdzcbh;

    @TableField("CCRQ")
    @ApiModelProperty(name = "ccrq", notes = "出厂日期(yyyy/MM/dd)")
    private String ccrq;

    @TableField("AZDW")
    private String azdw;

    @TableField("JFBJ")
    private String jfbj;

    @ApiModelProperty(name = "azwz", notes = "安装位置")
    private String azwz;

    @TableField("TSDD")
    private String tsdd;

    @TableField("EDSYNX")
    @ApiModelProperty(name = "edsynx", notes = "额定使用年限")
    private String edsynx;

    @TableField("SBMC")
    @ApiModelProperty(name = "sbmc", notes = "设备名称")
    private String sbmc;

    @TableField("YLZD5")
    private Double ylzd5;

    @TableField("ZDSJ")
    @ApiModelProperty(name = "zdsj", notes = "制单日期(yyyy/MM/dd)")
    private String zdsj;

    @TableField("TZDH")
    private String tzdh;

    @TableField("SBNL")
    private String sbnl;

    @TableField("ZCFL")
    @ApiModelProperty(name = "zcfl", notes = "资产分类")
    private String zcfl;

    @TableField("KXYSBJ")
    private String kxysbj;

    @TableField("AZJSRQ")
    private String azjsrq;

    @TableField("TSR")
    private String tsr;

    @TableField("CZRY")
    @ApiModelProperty(name = "czry", notes = "操作者")
    private String czry;

    @TableField("TSYSR")
    private String tsysr;

    @TableField("YLZD6")
    private Double ylzd6;

    @TableField("JLDW")
    @ApiModelProperty(name = "jldw", notes = "计量单位")
    private String jldw;

    @TableField("WXCC")
    @ApiModelProperty(name = "wxcc", notes = "外形尺寸")
    private String wxcc;

    @TableField("KXYSDW")
    private String kxysdw;

    @ApiModelProperty(name = "zzdw", notes = "制造单位")
    @TableField("ZZDW")
    private String zzdw;

    @ApiModelProperty(name = "bz", notes = "备注")
    @TableField("BZ")
    private String bz;

    @TableField("SBJFRQ")
    private String sbjfrq;

    @TableField("AZR")
    private String azr;

    @TableField("YLZD3")
    private String ylzd3;

    @TableField("GZZXBH")
    private String gzzxbh;

    @TableField("DHRQ")
    private String dhrq;

    @ApiModelProperty(name = "edgl", notes = "额定功率")
    @TableField("EDGL")
    private Double edgl;

    @ApiModelProperty(name = "zjnx", notes = "折旧年限")
    @TableField("ZJNX")
    private String zjnx;

    @TableField("AZDD")
    private String azdd;

    @ApiModelProperty(name = "tzsb", notes = "特种设备")
    private String tzsb;

    @TableField("GRRQ")
    @ApiModelProperty(name = "grrq", notes = "购入日期")
    private String grrq;

    @TableField("SBZT")
    @ApiModelProperty(name = "sbzt", notes = "设备状态")
    private String sbzt;

    @TableField("ZXS")
    private Double zxs;

    @TableField("TSJG")
    private String tsjg;

    @TableField("EDSYSJ")
    @ApiModelProperty(name = "edsysj", notes = "额定使用时间")
    private String edsysj;

    @TableField("YLZD4")
    private Double ylzd4;

    @TableField("GZZXMC")
    private String gzzxmc;

    @TableField("KXDH")
    private String kxdh;

    @ApiModelProperty(name = "sbxh", notes = "设备型号")
    @TableField("SBXH")
    private String sbxh;

    @ApiModelProperty(name = "gldw", notes = "额定功率单位")
    @TableField("GLDW")
    private String gldw;

    @TableField("TZXH")
    private Double tzxh;

    @ApiModelProperty(name = "sbfl", notes = "设备大类")
    @TableField("SBFL")
    private String sbfl;

    @ApiModelProperty(name = "gysbm", notes = "供应商")
    @TableField("GYSBM")
    private String gysbm;

    @TableField("YSJL")
    private String ysjl;

    @TableField("TSYSBJ")
    private String tsysbj;

    @TableField("YLZD1")
    private String ylzd1;

    @TableField("GRHTBH")
    private String grhtbh;

    @ApiModelProperty(name = "sbxl", notes = "设备小类")
    @TableField("SBXL")
    private String sbxl;

    @ApiModelProperty(name = "ccbh", notes = "出厂编号")
    @TableField("CCBH")
    private String ccbh;

    @TableField("KXYSR")
    private String kxysr;

    @TableField("SBQYRQ")
    private String sbqyrq;

    @ApiModelProperty(name = "lgrq", notes = "列固日期")
    private String lgrq;

    @TableField("TSKSRQ")
    private String tsksrq;

    private String sbyxzt;
    private String whsj;


}
